Subject: bug#21432: 25.0.50; file-notify-rm-watch (inotify) errors if watched dir is deleted

From: Michael Albinus <[email-masked]>
Date: Wed, 16 Sep 2015 19:26:50 +0200

Eli Zaretskii <[email-masked]> writes:

>> The whole test case is about this check. And maybe this is also the
>> reason that it passes now the remote test case, surprisingly.
>
> Does it work for you if you add the test after read-event?  It fails
> here, i.e. the watch is still valid.

Yes, it works for inotify. And `file-notify-test04-file-validity-remote'
fails as expected, 'cos I haven't fixed it yet in Tramp.

For inotify it is obvious that it shall work. All inotify watches are
based on inodes. If a file is watched by inotify, and the parent
directory of the file is deleted, the inode of the file itself disappears.

I don't know how it works with w32notify internally. And I don't know
yet how it will behave with gfilenotify, all checks for that backend I
have moved to later.

Best regards, Michael.